SHP2PGSQL-GUI(1)

NAME
shp2pgsql-gui - Graphical User Interface for shp2pgsql

SYNOPSIS
shp2pgsql-gui [options]

DESCRIPTION
This manual page documents briefly the shp2pgsql-gui command.

shp2pgsql-gui is a program that converts ESRI Shape files into SQL statements and imports these statements to a PostGIS/PostgreSQL database. The GUI allows the user to set the shape file to import, the PostGIS/PostgreSQL connection parameters and some options related to the table where the data will be imported to.

shp2pgsql-gui can be called with some command line options that fill the PostGIS/PostgreSQL server connection parameters in.

OPTIONS

-d database
    Specifies the name of the database where the data will be imported to.

-h host
    Specifies the host name of the machine on which the PostGIS/PostgreSQL server is running.

-p port
    Specifies the TCP port on which the PostGIS/PostgreSQL server is listening for connections.

-U username
    Specifies the username with which the user will connect to the database.

-W password
    Specifies the password with which the user will connect to the database.

-?  Shows help about shp2pgsql-gui command line arguments.

SEE ALSO
shp2pgsql(1), pgsql2shp(1) The documentation of pgsql2shp, shp2pgsql and shp2pgsql-gui in HTML format is available on the filesystem at /usr/share/doc/postgis.

AUTHOR
shp2pgsql-gui was written by Paul Ramsey <pramsey@opengeo.org> and Mark Cave-Ayland <mark.cave-ayland@siriusit.co.uk>.

This manual page was written by Mònica Ramírez Arceda <monica@probeta.net>, for the Debian project. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 and any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-2.